Update files
curl --request PATCH \
--url https://api.erlcrussia.com/v3/cdn/assets \
--header 'Content-Type: application/json' \
--header 'erlcrussia-api-key: <api-key>' \
--data '
{
"ids": [
"ast_7Kq2Zp"
],
"folderId": "fld_2Qx7"
}
'import requests
url = "https://api.erlcrussia.com/v3/cdn/assets"
payload = {
"ids": ["ast_7Kq2Zp"],
"folderId": "fld_2Qx7"
}
headers = {
"erlcrussia-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'erlcrussia-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({ids: ['ast_7Kq2Zp'], folderId: 'fld_2Qx7'})
};
fetch('https://api.erlcrussia.com/v3/cdn/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.erlcrussia.com/v3/cdn/assets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'ids' => [
'ast_7Kq2Zp'
],
'folderId' => 'fld_2Qx7'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"erlcrussia-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.erlcrussia.com/v3/cdn/assets"
payload := strings.NewReader("{\n \"ids\": [\n \"ast_7Kq2Zp\"\n ],\n \"folderId\": \"fld_2Qx7\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("erlcrussia-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.erlcrussia.com/v3/cdn/assets")
.header("erlcrussia-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"ids\": [\n \"ast_7Kq2Zp\"\n ],\n \"folderId\": \"fld_2Qx7\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.erlcrussia.com/v3/cdn/assets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["erlcrussia-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"ids\": [\n \"ast_7Kq2Zp\"\n ],\n \"folderId\": \"fld_2Qx7\"\n}"
response = http.request(request)
puts response.read_body{
"assets": [
{
"name": "Инструкция",
"slug": "manual.png",
"domain": "default",
"path": "docs/manual.png",
"fullPath": "default/docs/manual.png",
"full_path": "default/docs/manual.png",
"folderId": "0199a1b7-033e-7e99-b1f2-6be98f4b2b1d",
"folder_id": "0199a1b7-033e-7e99-b1f2-6be98f4b2b1d",
"sourceType": "LOCAL",
"source_type": "LOCAL",
"sourceUrl": "default/docs/manual.png",
"source_url": "default/docs/manual.png",
"isPinned": true,
"is_pinned": 1,
"mimeType": "image/png",
"mime_type": "image/png",
"size": 70,
"sha256": "c2153f77e11087fcb078ae38527fa83bef29791e3700e30cc87fec4405a66d0f",
"downloads": 0,
"createdAt": "2026-10-06T14:56:09.0798434Z",
"created_at": "2026-10-06T14:56:09.0798434Z",
"updatedAt": "2026-10-06T14:56:09.0798434Z",
"updated_at": "2026-10-06T14:56:09.0798434Z",
"folder": {
"name": "Документы",
"slug": "docs"
}
}
],
"success": true,
"updatedCount": 1
}Files
Update files
Changes files by ids or path. folderId only changes the folder; path moves the file to a new address.
PATCH
/
cdn
/
assets
Update files
curl --request PATCH \
--url https://api.erlcrussia.com/v3/cdn/assets \
--header 'Content-Type: application/json' \
--header 'erlcrussia-api-key: <api-key>' \
--data '
{
"ids": [
"ast_7Kq2Zp"
],
"folderId": "fld_2Qx7"
}
'import requests
url = "https://api.erlcrussia.com/v3/cdn/assets"
payload = {
"ids": ["ast_7Kq2Zp"],
"folderId": "fld_2Qx7"
}
headers = {
"erlcrussia-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'erlcrussia-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({ids: ['ast_7Kq2Zp'], folderId: 'fld_2Qx7'})
};
fetch('https://api.erlcrussia.com/v3/cdn/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.erlcrussia.com/v3/cdn/assets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'ids' => [
'ast_7Kq2Zp'
],
'folderId' => 'fld_2Qx7'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"erlcrussia-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.erlcrussia.com/v3/cdn/assets"
payload := strings.NewReader("{\n \"ids\": [\n \"ast_7Kq2Zp\"\n ],\n \"folderId\": \"fld_2Qx7\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("erlcrussia-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.erlcrussia.com/v3/cdn/assets")
.header("erlcrussia-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"ids\": [\n \"ast_7Kq2Zp\"\n ],\n \"folderId\": \"fld_2Qx7\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.erlcrussia.com/v3/cdn/assets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["erlcrussia-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"ids\": [\n \"ast_7Kq2Zp\"\n ],\n \"folderId\": \"fld_2Qx7\"\n}"
response = http.request(request)
puts response.read_body{
"assets": [
{
"name": "Инструкция",
"slug": "manual.png",
"domain": "default",
"path": "docs/manual.png",
"fullPath": "default/docs/manual.png",
"full_path": "default/docs/manual.png",
"folderId": "0199a1b7-033e-7e99-b1f2-6be98f4b2b1d",
"folder_id": "0199a1b7-033e-7e99-b1f2-6be98f4b2b1d",
"sourceType": "LOCAL",
"source_type": "LOCAL",
"sourceUrl": "default/docs/manual.png",
"source_url": "default/docs/manual.png",
"isPinned": true,
"is_pinned": 1,
"mimeType": "image/png",
"mime_type": "image/png",
"size": 70,
"sha256": "c2153f77e11087fcb078ae38527fa83bef29791e3700e30cc87fec4405a66d0f",
"downloads": 0,
"createdAt": "2026-10-06T14:56:09.0798434Z",
"created_at": "2026-10-06T14:56:09.0798434Z",
"updatedAt": "2026-10-06T14:56:09.0798434Z",
"updated_at": "2026-10-06T14:56:09.0798434Z",
"folder": {
"name": "Документы",
"slug": "docs"
}
}
],
"success": true,
"updatedCount": 1
}Authorizations
Custom API key. Store on the server; do not include client-side JavaScript.
Query Parameters
Пространство имён.
Body
application/json
Was this page helpful?